# draugr.opencv_utilities.windows.image.show_image

draugr.opencv_utilities.windows.image.show_image(image: ndarray, title: Optional [ str ] = None, *, flag: WindowFlagEnum = 0, wait: Union [ bool , int ] = False, draw_title: bool = False, save_path: Optional [ Path ] = None, exit_chars: Iterable [ str ] = ('q', '\x1b'), extension: ExtensionEnum = ExtensionEnum.exr, min_default_size=200, max_default_size=600) → None

  ! if a title is not provided ( None) , title will be inferred. Caution in real time imshow / animations this will hurt performance.

  Parameters

    - min_default_size –

    - max_default_size –

    - image –

    - title –

    - flag –

    - wait –

    - draw_title –

    - save_path –

    - exit_chars –

    - extension –

  Returns

  Return type